const defaultLanguage = "EN";
const statsLang = "EN";
let currentLanguage = defaultLanguage;
const defaultContentLanguage = defaultLanguage;

const keyboardlayouts = {
    EN: 'qwerty',
    ZH: 'pinyin'
};
const momentlocale = {
    EN: 'en',
    ZH: 'en'
};

const langNames = {
    EN: "EN",
    ZH: "ZH"
};

const dateFormats = {
    EN: 'ddd MMMM D',
    ZH: 'ddd MMMM D'
};

const translations = {
    search: {EN: "Search", ZH: "搜寻"},
    offices: {EN: "Offices", ZH: "Offices"},
    floor: {EN: "", ZH: "Level"},
    cell: {EN: "Unit No.", ZH: ""},
    tel: {EN: "Tel", ZH: ""},
    mail: {EN: "E-mail", ZH: ""},
    web: {EN: "Website", ZH: ""},

    deals: {EN: "Promotions", ZH: "Promotions"},
    events: {EN: "Events", ZH: "活动"},
    infos: {EN: "Information", ZH: "Information"},
    stores: {EN: "Stores", ZH: "Stores"},
    services: {EN: "Services", ZH: "Services"},
    categories: {EN: "Categories", ZH: "Categories"},
    map: {EN: "Show Map", ZH: "Show Map"},

    st_info: {EN: "Information", ZH: "Information"},
    st_transport: {EN: "Transport", ZH: "Transport"},
    st_facilities: {EN: "Facilities", ZH: "Facilities"},
    st_wifi: {EN: "WiFi", ZH: "WiFi"},

    back: {EN: "Back", ZH: "返回"},
    close: {EN: "CLOSE", ZH: "关闭"},
    pmr: {EN: "ACCESSIBLE ROUTE", ZH: "ACCESSIBLE ROUTE"},

    searchtext_placeholder: {
        EN: "Search",
        ZH: "你想去哪里？"
    },
    take_me_there: {EN: "Take me there", ZH: "Take me there"},
    search_stores: {EN: "Search Stores", ZH: "Take me there"},
    search_global: {EN: "Global Search", ZH: "Take me there"},
    search_offices: {EN: "Search Offices", ZH: "Take me there"},

    header_title: {EN: "SMART DIRECTORY", ZH: "智能目录"},
    height_adjust: {EN: "Height Adjust", ZH: "智能目录"},
    power_by: {EN: "Wayfinding by abuzz solutions.com", ZH: "智能目录"},
    qr_code_title: {
        EN: "Get Map <br> on your phone",
        ZH: "Get Map <br> on your phone"
    },
    from: {EN: 'From', ZH: 'From'},
    to: {EN: 'to', ZH: 'to'},
    on: {EN: 'On', ZH: 'On'},
    in: {EN: 'in', ZH: 'in'},

    info: {EN: 'Info', ZH: 'in'},
    destination: {EN: 'Destination', ZH: 'in'},
    map_result_header: {EN: 'Map', ZH: 'in'},
    tbd: {EN: 'TBD', ZH: 'in'},
    open_hours: {EN: 'Opening Hours', ZH: 'in'},
    till: {EN: 'till', ZH: 'in'},
    more_info: {EN: 'More Information', ZH: 'in'},
    done: {EN: 'Done', ZH: 'in'},
    directions_to: {EN: 'DIRECTIONS TO', ZH: 'in'},
    distance: {EN: 'DISTANCE', ZH: 'DISTANCE'},
    time: {EN: 'TIME', ZH: 'TIME'},
    home: {EN: 'Home', ZH: 'Home'},
    lift_route: {EN: 'Lift Route', ZH: 'in'},
    replay: {EN: 'Replay', ZH: 'in'},

    startAt: {EN: 'Starting at ', ZH: 'Starting at '},
    yourPosition: {EN: 'your position ', ZH: 'your position '},
    yourDestination: {EN: 'your destination ', ZH: 'your destination '},
    take_the: {EN: 'Take the ', ZH: 'Take the '},
    walk: {EN: 'Walk to ', ZH: 'Walk to '},
    to_level: {EN: ' to level ', ZH: ' to level '},

    ur_looking_this_way: {
        EN: "You are standing here",
        ZH: "You are here facing this way"
    },
    start_walk_this_way: {
        EN: "Start walking this way",
        ZH: "Start walking this way"
    }
};

const custom_kb_layouts = {
    qwerty: {
        normal: ["Q W E R T Y U I O P {bksp}", "A S D F G H J K L &", "{shift} Z X C V B N M {shift}", "{space}"],
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * ( ) - +", "{normal} < > ? : {normal}", "{space}"]
    },
    pinyin: {
        shift: ["1 2 3 4 5 6 7 8 9 0 {bksp}", "! @ # $ % ; * ( ) - +", "{normal} < > ? : {normal}", "{space}"],
        normal: [
            "\u624B \u7530 \u6C34 \u53E3 \u5EFF \u535C \u5C71 \u6208 \u4EBA \u5FC3 {bksp}",
            "\u65E5 \u5C38 \u6728 \u706B \u571F \u7AF9 \u5341 \u5927 \u4E2D ",
            "{shift} \uFF3A \u96E3 \u91D1 \u5973 \u6708 \u5F13 \u4E00 & {shift}",
            "{space}"]
    }
};