var playerName = "TEST";
var playerGroup = null;
var appType = "WF";

var baseOpts = {
    siteBaseUrl: "/",
    mediaBaseUrl: "/cache",
    labelFontUrl: "assets/fonts/Circular_Pro_Book.json",
    amapBaseUrl: "/app/amap/",

    defaultViewsByNodeId: {
		
		"_2607_401_0": { camera: [5955, -6896, 14908], scene: [5941, 3621, 300] }, //Portrait - CSC-WF001-B101
		"_6924_5950_0": { camera: [5955, -6896, 14908], scene: [5941, 3621, 300] }, //Portrait - CSC-WF002-B102
		"_4948_1747_500": { camera: [6604, -4837, 17228], scene: [6619, 3674, 300] }, //Portrait - CSC-WF003-L101
		"_8304_912_500": { camera: [17667, 3760, 14628], scene: [8401, 3793, 300] }, //Portrait - CSC-WF004-L102
		"_10670_-169_500": { camera: [6604, -4837, 17228], scene: [6619, 3674, 300] }, //Portrait - CSC-WF005-L103
		"_6044_7385_500": { camera: [-4051, 5471, 13711], scene: [5056, 5506, 300] }, //Portrait - CSC-WF006-L104
		"_12240_8889_500": { camera: [17667, 3760, 14628], scene: [8401, 3793, 300] } //Portrait - CSC-WF007-L105
		
    },

    startNodeModel: {
        file: "app/assets/YOUAREHERE.obj",	
        scale: [1, 1, 1],
        animate: false,
        animRotation: [0,0,5],
		neutralRotation: true
    },

    // poiPinPointModel: {
    //     file: "app/assets/XXXX.obj",
    //     scale: [2, 2, 2],
    //     neutralRotation: true
    // },

    ssTopBanner: {
        link: "/../app/assets/images/ss-top-banner.png",
        type: "IMAGE"
    },

    pathAutoAnimate: true,
    pathDirToPartAnimDelay: 1,
    pathAutoAnimateDelay: 0,
    controlsRotate: true,
    controlsPan: true,
    controlsZoom: true,
    labelsHorizontal: true,
    multiFloorTransition: true,

    clockDateFormat: "ddd, DD MMM",
    clockTimeFormat: "HH:mm",
    weatherCity: "Singapore, SG"
};

var customTopCategoriesCodes = null;

var servicesWithResultsList = ["mrt", "parking"];